import request from '@/utils/request';

export function editWareHouse(params: any) {
  return request({
    url: '/api/api/wareHouse/edit',
    method: 'post',
    data: params,
  });
}

/**
 * 货位分页
 */
export function page(data: any) {
  return request({
    url: '/api/api/wareHouse/page',
    method: 'post',
    data: data,
  });
}

/**
 * 货位搜索
 */
export function search(data: any) {
  return request({
    url: '/api/api/wareHouse/search',
    method: 'post',
    data: data,
  });
}

/**
 * 货位新增
 */
export function createStorage(data: any) {
  return request({
    url: '/api/api/wareHouse/addStorage',
    method: 'post',
    data: data,
  });
}

/**
 * 货位编辑
 */
export function editStorage(data: any) {
  return request({
    url: '/api/api/wareHouse/editStorage',
    method: 'post',
    data: data,
  });
}

/**
 * 货位删除
 */
export function delStorage(data: any) {
  return request({
    url: '/api/api/wareHouse/delStorage',
    method: 'post',
    data: data,
  });
}